## org.apache.portals.bridges.frameworks
Class VelocityFrameworkPortlet

    java.lang.Object
      javax.portlet.GenericPortlet
          org.apache.portals.bridges.common.GenericServletPortlet
              org.apache.portals.bridges.velocity.GenericVelocityPortlet
                  org.apache.portals.bridges.frameworks.GenericFrameworkPortlet
                      org.apache.portals.bridges.frameworks.VelocityFrameworkPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.PortletConfig

public class VelocityFrameworkPortlet
extends GenericFrameworkPortlet

VelocityFrameworkPortlet

Version:
  $Id: VelocityFrameworkPortlet.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Field Summary

Fields inherited from class org.apache.portals.bridges.frameworks.GenericFrameworkPortlet
``

Fields inherited from class org.apache.portals.bridges.velocity.GenericVelocityPortlet
`PORTLET_BRIDGE_CONTEXT`

Fields inherited from class org.apache.portals.bridges.common.GenericServletPortlet
`PARAM_ACTION_PAGE, PARAM_ALLOW_PREFERENCES, PARAM_CUSTOM_PAGE, PARAM_EDIT_PAGE, PARAM_HELP_PAGE, PARAM_MAX_PAGE, PARAM_VIEW_PAGE`

Fields inherited from class javax.portlet.GenericPortlet
``

Constructor Summary
`VelocityFrameworkPortlet()`

Method Summary
`protected void` `putRequestVariable(javax.portlet.RenderRequest request, String name, Object value)` Specific for Velocity

Methods inherited from class org.apache.portals.bridges.frameworks.GenericFrameworkPortlet
`determineLogicalView, doEdit, doHelp, doRender, doView, formToBean, formToPrefs, forwardToView, init, invokeVelocityPortletAction, processAction, setExternalSupport, setLogicalView, startNewRecord, storePreferences`

Methods inherited from class org.apache.portals.bridges.velocity.GenericVelocityPortlet
`doCustom, doPreferencesEdit, getContext, getContext, render, setupPreferencesEdit`

Methods inherited from class org.apache.portals.bridges.common.GenericServletPortlet
`getDefaultActionPage, getDefaultCustomPage, getDefaultEditPage, getDefaultHelpPage, getDefaultViewPage, processPreferencesAction, setDefaultActionPage, setDefaultCustomPage, setDefaultEditPage, setDefaultHelpPage, setDefaultViewPage`

Methods inherited from class javax.portlet.GenericPortlet
`destroy, doDispatch, getInitParameter, getInitParameterNames, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityFrameworkPortlet

    public VelocityFrameworkPortlet()

Method Detail

### putRequestVariable

    protected void putRequestVariable(javax.portlet.RenderRequest request,
                                      String name,
                                      Object value)

  Specific for Velocity

  Overrides:
    `putRequestVariable` in class `GenericFrameworkPortlet`
  Parameters:
    `name` -
    `value` -

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.